Poll async job status
curl --request GET \
--url https://app.auditynow.com/api/agent/jobs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.auditynow.com/api/agent/jobs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.auditynow.com/api/agent/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"analysisId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": "<string>",
"errorCode": "<string>"
}
}{
"error": "Unauthorized"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Jobs
Poll async job status
Returns the status of an async job. Use to poll the result of /api/agent/projects/{id}/audit-analysis/async. Statuses are pending, processing, completed, or failed.
GET
/
api
/
agent
/
jobs
/
{id}
Poll async job status
Authorizations
A Personal Access Token issued from https://app.auditynow.com/dashboard/settings/api-tokens. Format: aky_<32 random chars>.
Path Parameters
The job's UUID.
Response
Job status
Status of an async job. Use the status enum (pending, processing, completed, failed) to determine next action.
Show child attributes
Show child attributes
⌘I

